
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>jQuery插件windowScroll实现单屏滚动特效_jquery / iVAN</title>

    <meta name="description" content="jQuery插件windowScroll实现单屏滚动特效_jquery 回首望,曾经洋洋得意的代码现在不忍直视.曾经看起来碉堡的效果现在也能稍微弄点出来.社会在往前发展,人也不得不向前走.       参考于搜狗浏览器4.2版本首页的上下滚动效果.主要实现整个窗口的上下和左右滚动逻辑,还有很多可以拓展的空间.希望大家能多提意见与建议.       代码如下: HTML &lt;!doctype html&gt; &lt;html&gt; &lt;meta http-equiv=&quot;Content-Type&quot; content=&quot;text/h ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">jQuery插件windowScroll实现单屏滚动特效_jquery</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>回首望，曾经洋洋得意的代码现在不忍直视。曾经看起来碉堡的效果现在也能稍微弄点出来。社会在往前发展，人也不得不向前走。</p>
<p>      参考于搜狗浏览器4.2版本首页的上下滚动效果。主要实现整个窗口的上下和左右滚动逻辑，还有很多可以拓展的空间。希望大家能多提意见与建议。</p>
<p>      代码如下:</p>
<p>HTML</p>
<pre>
&lt;!doctype html&gt;
&lt;html&gt;
&lt;meta http-equiv="Content-Type" content="text/html; charset=utf-8" /&gt;
&lt;meta content="" name="keywords" /&gt;
&lt;meta content="" name="description" /&gt;
&lt;meta name="author" content="codetker" /&gt;
&lt;head&gt;
&lt;title&gt;window对象滚动插件&lt;/title&gt;
&lt;link href="style/reset.css" rel="stylesheet" type="text/css"&gt;
&lt;link href="style/style.css" rel="stylesheet" type="text/css"&gt;
&lt;script type="text/javascript" src="js/jquery-1.9.1.min.js"&gt;&lt;/script&gt;
&lt;script type="text/javascript" src="js/jquery.codetker.windowScroll.js"&gt;&lt;/script&gt;
&lt;/head&gt;

&lt;body scroll="no"&gt;
  &lt;div class="wrap" style="dispaly:block;"&gt;
    &lt;div class="stageControl"&gt;
      &lt;ul&gt;
        &lt;li&gt;stage1&lt;/li&gt;
        &lt;li&gt;stage2&lt;/li&gt;
        &lt;li&gt;stage3&lt;/li&gt;
        &lt;li&gt;stage4&lt;/li&gt;
        &lt;li&gt;stage5&lt;/li&gt;
      &lt;/ul&gt;
    &lt;/div&gt;
    &lt;div class="stage stage1"&gt;
      &lt;div class="pageControl"&gt;
        &lt;ul&gt;
          &lt;li&gt;page1&lt;/li&gt;
          &lt;li&gt;page2&lt;/li&gt;
          &lt;li&gt;page3&lt;/li&gt;
        &lt;/ul&gt;
      &lt;/div&gt;
      &lt;div class="page page1"&gt;&lt;/div&gt;
      &lt;div class="page page2"&gt;&lt;/div&gt;
      &lt;div class="page page3"&gt;&lt;/div&gt;
    &lt;/div&gt;
    &lt;div class="stage stage2"&gt;&lt;/div&gt;
    &lt;div class="stage stage3"&gt;&lt;/div&gt;
    &lt;div class="stage stage4"&gt;&lt;/div&gt;
    &lt;div class="stage stage5"&gt;&lt;/div&gt;
  &lt;/div&gt;
&lt;script type="text/javascript"&gt;
  $(document).ready(function(){
    $(".wrap").windowScroll({
      'choose' : 0,
      'verticalSpeed' : 2, //控制垂直滚动速度
      'horizontalSpeed' : 1,
      'objControlUl': '.wrap .stageControl'
    });
    $(".stage1").windowScroll({
      'choose': 1,
      'verticalSpeed' : 1,
      'horizontalSpeed' : 1,//控制水平滚动速度
      'objControlUl': '.stage1 .pageControl'
    });
  });
&lt;/script&gt;
&lt;/body&gt;
&lt;/html&gt;
</pre>
<p>CSS</p>
<pre>
@charset "utf-8";
/* CSS Document */
body{
  margin:0 0;
  padding:0 0;
  height:100%;
  width:100%;
  overflow: hidden;;
}
.wrap{
  font-family:"微软雅黑","宋体", Times, "Times New Roman", serif;
  font-size:14px;
  margin:0 0;
  padding:0 0;
  height:100%;
  width:100%;
  overflow:hidden;
}

.stage,.page{
  width: 100%;
  height: 100%;
}
.stage1{
  background-color:red;
}
.stage2{
  background-color:#fff;
}
.stage3{
  background-color:yellow;
}
.stage4{
  background-color:green;
}
.stage5{
  background-color:blue;
}
.page{
  float: left;
}
.page2{
  background-color: #666;
}
.page3{
  background-color: #ddd;
}
.stageControl{
  position: fixed;
}
.stageControl ul li{
  width: 100px;
  height: 30px;
  line-height: 30px;
  text-align: center;
  cursor: pointer;
}
.stageControl ul li:hover{
  color: blue;
}
.pageControl{
  position: fixed;
  left: 200px;
}
.pageControl ul li{
  float: left;
  width: 50px;
  height: 25px;
  line-height: 25px;
  text-align: center;
  cursor: pointer;
}
.pageControl ul li:hover{
  color: blue;
}
</pre>
<p>JavaScript</p>
<pre>
/*
 * windowScroll 0.1
 * window滚动插件，上下左右，可选择是否回弹。参考搜狗欢迎页面
 * 兼容IE,FF,Chrome等常见浏览器
 * 借鉴搜狗4.2版http://ie.sogou.com/features4.2.html
 */
 ;(function($,window,document,undefined){
   //定义构造函数
   var WindowObj=function(ele,opt){
     this.$element=ele; //最外层对象
     this.defaults={
       'choose' : 0,//默认为上下
       'verticalSpeed' : 1,
       'horizontalSpeed' : 1,
       'objControlUl': null
     },

     this.options=$.extend({},this.defaults,opt );

    //阻止默认行为和冒泡,这里可以定义多个方法都要用到的函数
    this.stopDefaultAndBubble=function(e){
      e=e||window.event;
      if (e.preventDefault) {
        e.preventDefault();
      }
      e.returnValue=false;

      if (e.stopPropagation) {
        e.stopPropagation();
      }
      e.cancelBubble=true;
    }

    this.setSize=function(ele){
      $(ele).css({
        'width':$(window).outerWidth()+'px'
      });
      //自动判断元素是否存在，对undefined赋css属性无意义
      $(ele).children('.stage').css({
        'width':$(window).outerWidth()+'px',
        'height':$(window).outerHeight()+'px'
      });
      $(ele).children('.page').css({
        'width':$(window).outerWidth()+'px',
        'height':$(window).outerHeight()+'px'
      });
    }
   }

   //给构造函数添加方法
   WindowObj.prototype={

     //上下滚动的方法
     verticalMove:function(){
       var obj=this.$element; //最外层对象
       var speed=this.options.verticalSpeed;
       var objControl=this.options.objControlUl;//控制按钮

       var windowHeight=$(window).height();
       var list=$(obj).children('.stage');
       var listMax=$(list).length;

       var is_chrome=navigator.userAgent.toLowerCase().indexOf('chrome')&gt;-1;
       if(is_chrome){
         //判断webkit内核，供scrollTop兼容性使用
         windowobject='body';
       }else{
         //支持IE和FF
         windowobject='html';
       }
       var stop=0;

       //均设置为windows大小
       this.setSize(obj);

       //得到当前的垂直位置
       var stageIndex;
       function getIndex(){
         stageIndex=Math.round($(window).scrollTop()/windowHeight);
       } 

       //绑定键盘上下按键事件
       $(document).keydown(function(event) {
         /* 绑定keycode38，即向上按钮 */
         if (event.keyCode==38) {
           getIndex();
          setTimeout(function(){
            scrollStage(windowobject,stageIndex,1); //stageIndex为当前页码
          },100);
         }else if (event.keyCode==40) {//绑定40，即向下按钮
           getIndex();
          setTimeout(function(){
            scrollStage(windowobject,stageIndex,-1); //stageIndex为当前页码
          },100);
         }
       });

       //绑定滑轮功能的函数
       function handle(delta){
         getIndex();
        if (delta&lt;0) {
          setTimeout(function(){
            scrollStage(windowobject,stageIndex,-1); //stageIndex为当前页码
          },100);
        }else{
          setTimeout(function(){
            scrollStage(windowobject,stageIndex,1); //stageIndex为当前页码
          },100);
        }

       }

       //判断滑轮，解决兼容性
       function wheel(event){
        var delta = 0;
        if (!event) event = window.event;
        if (event.wheelDelta) {
          delta = event.wheelDelta;
          if (window.opera) delta = -delta;
        } else if (event.detail) {
          delta = -event.detail;
        }
        if (delta)
          handle(delta); //调用执行函数
      }

       //注册事件
       if (window.addEventListener) {
         window.addEventListener('DOMMouseScroll', wheel, false);
       }
       window.onmousewheel = document.onmousewheel = wheel;

       //绑定鼠标滚轮事件
       $(document).bind('mousedown', function(event) {
         if (e.which==2) {//which=2代表鼠标滚轮,即为中键
           this.stopDefaultAndBubble(e);
           //bugfix 搜狗浏览器的ie内核只有在定时器触发这个函数才生效
           setTimeout(function(){
             this.stopDefaultAndBubble(e);
           },10);
         }
       });

       //如果有ul li控制按钮
       if (objControl!=null) {
         $(objControl).delegate('li', 'click', function() {
           stageIndex=$(this).index();
           setTimeout(function(){
             scrollStage(windowobject,stageIndex,0);
           },100);
         });
       }

       function scrollStage(obj,stIndex,dir){//如果用scrollStage=function来指定的话没有声明提前，然后就会找不到这个函数了
         //obj为操作滚动的对象
        //stIndex为点击调用时应该滚动到的页面页码，按键和滚轮调用时默认为1(传入0)
        //dir传入滚动时的方向，0代表不滚动，1代表向上，-1代表向下
        var sIndex=stIndex;//!(dir)则stageIndex为要到的页码，否则为当前页码
        var windowobject=obj;
        var direction=0||dir; //接收参数封装,没有传入时暂时认为为0
        var target=windowHeight*sIndex; //目标页面距离文档顶部距离

        if ( !$(windowobject).is(':animated') ) {//当没有在滚动时
          if(!direction){ ////响应guider,此时stageIndex为目标页面页码
            if ($(window).scrollTop() &gt; target) { //内容下移，窗口上移,上方出现弹痕
              direction=-1;
              $(windowobject).animate({
                "scrollTop": target +"px"
              },1000*speed,function(){
                crash_bottom(1,target,20,150); //调用撞击函数,先撞顶部,target变成当前页面了
              });
            }else if($(window).scrollTop() == windowHeight*sIndex){ //当前页面时
              direction=0;
              crash_bottom(1, target ,20,150); //模拟撞底部
            }else{
              direction=1;
              $(windowobject).animate({
                "scrollTop": target +"px"
              },1000*speed,function(){
                crash(1,target,20,150); //调用撞击函数,先撞底部

              });
            }
          }else{//响应鼠标滚轮和键盘上下，sindex为当前页面
            if(direction==1){
              if(sIndex==0){
                crash(1,target,20,150);
              }else{ //往上翻
                sIndex-=1;
                $(windowobject).animate({
                  "scrollTop":windowHeight*sIndex+"px"
                  },1000*speed,function(){
                    crash_bottom(1,windowHeight*sIndex,20,150); //调用撞击函数,往下翻内容往上，先撞顶部
                  }
                );
              }
            }else{
              if(sIndex==listMax){
                crash_bottom(1,target,20,150);
              }else{ //往下翻
                sIndex+=1;
                $(windowobject).animate({
                  "scrollTop":windowHeight*sIndex+"px"
                },1000*speed,function(){
                  crash(1,windowHeight*sIndex,20,150); //调用撞击函数,往上翻内容往下，先撞底部
                });

              }
            }
          }
        }
       }

      //撞击函数
      function crash_bottom(direction,termin,distant,time){
        if (!stop) {
          var scrollTop=$(window).scrollTop();
          if (direction==1) {
            direction=0;
            $(windowobject).animate({"scrollTop":"+="+distant+"px"},time,function(){
              crash_bottom(direction,termin,distant*0.6,time);
              if (distant&lt;=15||time&gt;150) {
                stop=1;//停止碰撞

                $(windowobject).animate({"scrollTop":termin+"px"},time,function(){
                  stop=0;
                });
              }
            });
          }else if (direction==0) {
            direction=1;
            $(windowobject).animate({"scrollTop":termin+"px"},time,function(){
              crash_bottom(direction,termin,distant*0.6,time);
              if (distant&lt;=15||time&gt;150) {
                stop=1;//停止碰撞

                $(windowobject).animate({"scrollTop":termin+"px"},time,function(){
                  stop=0;
                });
              }
            });
          }
        }
      }
      function crash(direction,termin,distant,time){
        if (!stop) {
          var scrollTop=$(window).scrollTop();
          if (direction==1) {
            direction=0;
            $(windowobject).animate({"scrollTop":"-="+distant+"px"},time,function(){
              crash(direction,termin,distant*0.6,time);
              if (distant&lt;=15||time&gt;150) {
                stop=1;//停止碰撞

                $(windowobject).animate({"scrollTop":termin+"px"},time,function(){
                  stop=0;
                });
              }
            });
          }else if (direction==0) {
            direction=1;
            $(windowobject).animate({"scrollTop":termin+"px"},time,function(){
              crash(direction,termin,distant*0.6,time);
              if (distant&lt;=15||time&gt;150) {
                stop=1;//停止碰撞

                $(windowobject).animate({"scrollTop":termin+"px"},time,function(){
                  stop=0;
                });
              }
            });
          }
        }
      }

     },
     //左右滚动的方法
     horizontalMove:function(){
       var obj=this.$element; //最外层对象
       var speed=this.options.horizontalSpeed;
       var objControl=this.options.objControlUl;//控制按钮

       var windowWidth=$(window).width();
       var list=$(obj).children('.page');
       var listMax=$(list).length;

       var is_chrome=navigator.userAgent.toLowerCase().indexOf('chrome')&gt;-1;
       if(is_chrome){
         //判断webkit内核，供scrollTop兼容性使用
         windowobject='body';
       }else{
         //支持IE和FF
         windowobject='html';
       }
       var stop=0;

       //均设置为windows大小
       this.setSize(obj);
       $(obj).css({'width':windowWidth*listMax+'px'});

       var pageIndex; //当前页面页码(负数)
      function getPageIndex(){
        pageIndex=Math.round(parseInt($(obj).css("margin-left")) / windowWidth);
      }

      //绑定键盘左右按键事件
      $(document).keydown(function(event){
        //判断event.keyCode为39（即向右按钮）
        if (event.keyCode==39) {
          getPageIndex();
          scrollPage($(obj),pageIndex,-1);
        }
        //判断event.keyCode为37（即向左按钮
        else if (event.keyCode==37) {
          getPageIndex();
          scrollPage($(obj),pageIndex,1);
        }
      });

      //如果有ul li控制按钮
       if (objControl!=null) {
         $(objControl).delegate('li', 'click', function() {
           pageIndex=$(this).index();
           setTimeout(function(){
             scrollPage(obj,pageIndex,0);
           },100);
         });
       }

      function scrollPage(obje,pIndex,dir){
        var windowobject=obje;
        var direction=0||dir;
        var pageIndex=pIndex;
        var dist=Math.round(parseInt($(obj).css("margin-left"))); //当前页距离左边的margin(负值)
        var aim=pageIndex*windowWidth*(-1);

        if (!$(windowobject).is(":animated")) {
          if(!direction){ //响应nav

            if (dist != aim) { //此时pageIndex为yearID.非负值
              $(windowobject).animate({"margin-left": aim + "px"},
                1000*speed);
            }else{
              direction=0;
              $(windowobject).animate({"margin-left":"+="+"50px"},500).animate({"margin-left":"-="+"100px"},500).animate({"margin-left":"+="+"50px"},500);
            }
          }else{ //响应键盘左右键
            if(direction==1){ //pageIndex为负值
              if(pageIndex==0){
                $(windowobject).animate({"margin-left":"+="+"50px"},500).animate({"margin-left":"-="+"100px"},500).animate({"margin-left":"+="+"50px"},500);
              }else{
                pageIndex+=1; //显示左边内容，左键
                $(windowobject).animate({"margin-left":"+=" + windowWidth + "px"},
                  1000*speed);
              }
            }else{
              if(pageIndex== ((-1)*(listMax-1))){
                $(windowobject).animate({"margin-left":"-="+"50px"},500).animate({"margin-left":"+="+"100px"},500).animate({"margin-left":"-="+"50px"},500);
              }else{
                pageIndex-=1;
                $(windowobject).animate({"margin-left":"-=" + windowWidth + "px"},
                  1000*speed);
              }

            }
          }
        }
      }

     }
   }

   //在插件中使用windowObj对象的方法，0为vertical，1为horizontal
   $.fn.windowScroll=function(options){
     //创建实体
     var windowObj=new WindowObj(this,options);
     //根据选择调用方法
     if (windowObj.options.choose==0) {
       return windowObj.verticalMove();
     }else if(windowObj.options.choose==1){
       return windowObj.horizontalMove();
     }else{//2之后的留扩展吧
       //add some functions
     }
   }
 })(jQuery,window,document);
</pre>
<p>详细的代码下载见https://github.com/codetker/myWindowScroll</p>
<p>以上所述就是本文的全部内容了，希望大家能够喜欢。</p>
<p>以上是小编为您精心准备的的内容，在的博客、问答、公众号、人物、课程等栏目也有的相关内容，欢迎继续使用右上角搜索按钮进行搜索jquery<br />
                    ，                windowScroll<br />
                                    单屏滚动<br />
                                    单屏滚动网站、单屏页面滚动切换代码、单屏滚动、boostrap单屏滚动页面、推荐单屏滚动网站，以便于您获取更多的相关知识。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-10 02:05:12</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/jquery/" title="jquery">jquery</a>, <a href="https://www.iamivan.net/tag/windowscroll/" title="windowScroll">windowScroll</a>, <a href="https://www.iamivan.net/tag/%e5%8d%95%e5%b1%8f%e6%bb%9a%e5%8a%a8/" title="单屏滚动">单屏滚动</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>jQuery插件windowScroll实现单屏滚动特效_jquery的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MlmD6np.html" rel="bookmark">jQuery插件实现大图全屏图片相册&lowbar;jquery</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				大图全屏图片相册jQuery插件,支持左右按钮切换以及点击大图自动切换图片,基于jQuery插件jQuery.album.js,插件支持参数自定义功能,viewMode:0没有缩略图 1有缩略图  2缩略图.全屏幕.可以对图片进行左右转,具体的参数大家可以查看jQuery.album.js文件,总之效果很不错,喜欢的朋友可学习下 复制代码 代码如下: &lt;!DOCTYPE html PUBLIC &quot;-//W3C//DTD XHTML 1.0 Transitional//EN&quot; &q			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M9jvWop.html" rel="bookmark">jQuery插件Skippr实现焦点图幻灯片特效&lowbar;jquery</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				史上效果最好的焦点图幻灯片jQuery插件Skippr,轻量级插件.响应式布局插件,强大的参数自定义 配置,可自定义切换速度.切换方式.是否显示左右箭头.是否自动播放.自动播放间隔时间等配置 参数,调用插件也非常简单易用,调用方式下面介绍下: 1.加载jQuery和插件 &lt;link rel=&quot;stylesheet&quot; href=&quot;css/jquery.skippr.css&quot;&gt; &lt;script src=&quot;js/jquery.min.js&qu			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pXKQoLM.html" rel="bookmark">jQuery插件boxScroll实现图片轮播特效&lowbar;jquery</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				BoxScroll       常见图片轮播效果的简单实现.可以数字列表控制或者左右按键控制.逻辑很简单,到了尽头得往回跑,看看注释就知道了.       代码如下: HTML &lt;!doctype html&gt; &lt;html&gt; &lt;meta http-equiv=&quot;Content-Type&quot; content=&quot;text/html; charset=utf-8&quot; /&gt; &lt;meta content=&quot;&quot; name=			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MgEZ7mz.html" rel="bookmark">JQuery插件Marquee&period;js实现无缝滚动效果&lowbar;jquery</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Marquee.js插件提供了许多属性选项,您可以配置定制外观和效果. { yScroll: &quot;top&quot; // 初始滚动方向 (还可以是&quot;top&quot; 或 &quot;bottom&quot;) showSpeed: 850 // 初始下拉速度 scrollSpeed: 12 // 滚动速度 , pauseSpeed: 5000 // 滚动完到下一条的间隔时间 pauseOnHover: true // 鼠标滑向文字时是否停止滚动 loop: -1 // 设置循环滚动次			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bBk469M.html" rel="bookmark">jquery插件制作 表单验证实现代码&lowbar;jquery</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				先下页面代码: 复制代码 代码如下: &lt;!DOCTYPE html PUBLIC &quot;-//W3C//DTD XHTML 1.0 Transitional//EN&quot; &quot;http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd&quot;&gt; &lt;html xmlns=&quot;http://www.w3.org/1999/xhtml&quot;&gt; &lt;head&gt; &lt;title&gt;&l			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mr2EnvM.html" rel="bookmark">jquery插件star-rating&period;js实现星级评分特效&lowbar;jquery</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				特效介绍 jquery星级评分插件star-rating.js下载插件,点击星星或者心的左边,就是半分,右边就是1分.点击减号,分数置为0.不兼容IE8以下的浏览器. 演示图 使用方法 第一步.引入下面的代码: 复制代码 代码如下: &lt;link href=&quot;http://netdna.bootstrapcdn.com/bootstrap/3.1.0/css/bootstrap.min.css&quot; rel=&quot;stylesheet&quot;&gt; &lt;script s			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zOnklRp.html" rel="bookmark">jQuery插件multiScroll实现全屏鼠标滚动切换页面特效&lowbar;jquery</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				经常看到在一些产品介绍页,看到全屏滚动的特效,今天推荐款jQuery插件给大家,jQuery全屏鼠标滚动切换页面特效插件multiScroll.js,支持众多的参数自定义配置,scrollingSpeed:切换速度.easing:动画效果.navigation:false是否出现导航,还支持事件Callback函数调用,onLeave.afterLoad等,效果还是和不错的,浏览器兼容方面:IE8, 9, Opera 12.以及现代的浏览器,需要浏览器支持CSS3属性,推荐学习和使用. 使用方法			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M6GkJWp.html" rel="bookmark">jQuery插件fullPage&period;js实现全屏滚动效果&lowbar;jquery</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例为大家分享了全屏滚动插件fullPage.js的具体使用方法,供大家参考,具体内容如下 0.01 基本演示  的HTML 布局 以及js 代码 //需要连接 连接的三个文件 &lt;link rel=&quot;stylesheet&quot; href=&quot;css/jquery.fullPage.css&quot;&gt; //css文件 &lt;script src=&quot;js/jquery-1.8.3.min.js&quot;&gt;&lt;/script&gt; //jQue			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pdmD92z.html" rel="bookmark">jQuery插件实现无缝滚动特效&lowbar;jquery</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				首先来看下html骨架,如下: &lt;div class=&quot;box&quot;&gt; &lt;ul&gt; &lt;li&gt;111&lt;/li&gt; &lt;li&gt;222&lt;/li&gt; &lt;li&gt;333&lt;/li&gt; &lt;/ul&gt; &lt;/div&gt; 结构简单明了,没什么说的. 讲下实现原理: div box是最外层盒子,给它指定的宽高,记得给box添加一个 overflow:hidden (超出的内容隐藏)样式,因为滚动肯定是会超出b			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OM9EJgM.html" rel="bookmark" class="title">g&plus;&plus; 4&period;7 如果不使用c&plus;&plus;11的标准不能使用shared&lowbar;ptr吗？</a>
					<div>
						问题描述 g++ 4.7 如果不使用c++11的标准不能使用shared_ptr吗? RT 在g++4.7的版本中如果编译时不指定-std=c++11 则不能识别shared_ptr吗? #inclu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/apXqaLz.html" rel="bookmark" class="title">android图片压缩总结</a>
					<div>
						首先该文章是总结, 不是原创, 是通过看网上其他大神的文章和自己的一些实践总结出来的.  一.图片的存在形式 1.文件形式(即以二进制形式存在于硬盘上) 2.流的形式(即以二进制形式存在于内存中) 3 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qbaaRwb.html" rel="bookmark" class="title">XMLDOM对象方法：对象属性</a>
					<div>
						dom|xml|对象 async 属性 作   用  async 属性表示是否允许异步的下载. 基本语法  boolValue ＝ XMLDocument.async;XMLDocument.asyn ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/6b3kNJb.html" rel="bookmark" class="title">请客800和饭桶网的不同之处</a>
					<div>
						请客800和饭桶网的不同之处 刚才看了饭桶网的成员王川在点评请客800和饭桶网的文章:&lt;饭统网与请客800谁更牛X一些&gt;文章是否客观,有读者自己来评论.饭桶网是朋友臧力的,关注了很多年,还 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/2pL9Avz.html" rel="bookmark" class="title">看黑兵器戏说SEO黑帽如何让网站消亡</a>
					<div>
						如果说seo就是熬夜,或者忙碌的代言词.笔者更乐于将它当成乐趣,seo不过就是我们在网络上的一个工具,目的不单是要做排名,更要转化.那么很多盲目选择排名而做seo的人,就会选择快速的手法,在行业中,我 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJ7qEqb.html" rel="bookmark" class="title">如何加密保护邮件服务器</a>
					<div>
						SSL(Security Socket Layer)协议由Netscape公司设计开发,主要用来提供对用户和服务器的认证:对传送的数据进行加密和隐藏:确保数据在传送中不被改变(即数据的完整性),现已成 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDAjEBb.html" rel="bookmark" class="title">使用Java运算符</a>
					<div>
						运算符以一个或多个自变量为基础,可生成一个新值.自变量采用与原始方法调用不同的一种形式,但效果是相同的. 根据以前写程序的经验,运算符的常规概念应该不难理解. 加号(+).减号和负号(-).乘号(*) ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvK9x8p.html" rel="bookmark" class="title">ant构建工具的类装载器问题</a>
					<div>
						问题概述:每个ClassLoader本身只能分别加载特定位置和目录中的类,但是,ClassLoader被设计成了一种委托模式,使得某一个ClassLoader可以委托它的父级类装载器去加载类,从而让应 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MY2789p.html" rel="bookmark" class="title">PS合成客厅背景墙上画框瀑布室内流水效果教程</a>
					<div>
						本篇适合新手来逐步学习的,我也会尽量将每个步骤介绍的详细,截图尽量清晰.相信,只要新手多做几遍教程练习,多熟悉里面工具的用法,不久就会进步很快. 不过,对于教程依然看不懂或者做不下去的新人,我建议买本 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJ7Q2wb.html" rel="bookmark" class="title">怎么给PPT幻灯片配上声音文件</a>
					<div>
						  1.插入外间声音文件,方法见下图 2.插入剪贴画中的声音 PowerPoint自带了一个媒体剪辑库,提供了声音媒体类型. 选择要添加声音的幻灯片,在&quot;插入&quot;功能区的&quot; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkGPBjp.html" rel="bookmark" class="title">网开云办公怎么付费升级</a>
					<div>
						  管理员可以通过付费升级提升软件使用期限和人数上限:当企业人数在10人以下时,可以免费使用网开eim的所有功能,当企业人数达到10人以上时,需要及时对网开EIM进行付费升级,提升人数上限并确定使用时 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z72Edrp.html" rel="bookmark" class="title">bandicam怎么录制声音？</a>
					<div>
						  bandicam是一款功能强大,且简单易用的电脑音频录制工具,很多时候用户在使用该工具发现,所录制而来的视频没有声音或没有电脑自带声音生硬,对于用户出现的该问题,是因为在设置方面存在问题,故此小编 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mywkw4z.html" rel="bookmark" class="title">python多媒体编程 我在安装完PyOpenGL3&period;0&period;1后，运行根据书里面写的一个脚本，却出错</a>
					<div>
						问题描述 python多媒体编程 我在安装完PyOpenGL3.0.1后,运行根据书里面写的一个脚本,却出错 python多媒体编程 我在安装完PyOpenGL3.0.1后,运行根据书里面写的一个脚本 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGJkB2p.html" rel="bookmark" class="title">客服是人工智能落地的黄金场景（智能服务圆桌现场实录）</a>
					<div>
						几乎所有人都看好人工智能的前景,却有很多人看不清人工智能的现在.10月12日,杭州云栖大会上,一场&quot;为客户服务插上AI之翼&quot;智能服务的圆桌吸引了众多参会者的关注和热议. 圆桌嘉宾不 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8ZrWBb.html" rel="bookmark" class="title">企业如何保护非结构化大数据</a>
					<div>
						目前企业已经进入全新的大数据时代.在高带宽.移动的.网络环境中工作和生活的我们,会产生 大量的数据,这些都成为大数据的来源,而这些信息很少存在于同一个地方.在几微秒中,信息就能够发布给世界 各地的很  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYjvy9p.html" rel="bookmark" class="title">Android Metro菜单实现思路及代码&lowbar;Android</a>
					<div>
						今天继续说一下安卓的菜单,之前介绍了:相信大家对于Metro风格并不陌生,下面就在安卓平台上实现一下这个效果,如图:  实现思路: 利用动画来实现移动的效果,使用的是TranslateAnimatio ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlQDdLp.html" rel="bookmark" class="title">怎么做网站？如何免费创建一个网站？</a>
					<div>
						&amp;http://www.aliyun.com/zixun/aggregation/37954.html&quot;&gt;nbsp;   怎么做网站?如何制作一个网站?最近好几个朋友都来问我这 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlQDkap.html" rel="bookmark" class="title">GCD之异步同步体会</a>
					<div>
						前面的博文也有写到同步异步,可能是看他人的博文,自己没有实验,感觉理解不深,所以就敲了些代码比较一下串行.并行分别对应的同步.异步. 1.首先创建串行.并行线程队列 dispatch_queue_t  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqAE22M.html" rel="bookmark" class="title">项目管理-开发工时的1U指的是什么？</a>
					<div>
						问题描述 开发工时的1U指的是什么? 不是很明白开发工时所说的1U是什么意思 只听说过manhour,不知道1U是啥意思 解决方案 1U就是1 unit,一个单位.至于这个单位是什么,那鬼才知道了.  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boKq7Xb.html" rel="bookmark" class="title">新型光螺旋技术可提高信息传输速率十倍</a>
					<div>
						一种新的基于光学的通信工具可以像涡流一样以快速的循环运动来传输数据.近日发表在&lt;科学&gt;杂志上的一项研究中所描述的这项光学进展,可能成为下一代计算机的核心组成部分,用于满足人类社会对信息共享 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXqO2lz.html" rel="bookmark" class="title">如何理解马云演讲「十年后没有数据分析师的职业」</a>
					<div>
						缘起 结缘:我个人很喜欢研究马云的研究,一是认为他把事情做到了不可思议的高度,二是他很爱对未来思考而且愿意把成果分享.能够接触他的思想,是一件非常幸运的事情.我踏入数据行业也是基于一句话&quot;比 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeRlm9b.html" rel="bookmark" class="title">DrawString 异常。实在找不 到 问题，烦请各位大虾指点。</a>
					<div>
						问题描述 问题:m_bufGrap.Graphics.DrawString(str2,drawFont,drawBrush,20.0F,30.0F)未处理的&quot;System.ArgumentE ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJAXnVp.html" rel="bookmark" class="title">OpenCV中的KMeans算法介绍与应用</a>
					<div>
						一.KMeans算法介绍 KMeans算法是MacQueen在1967年提出的,是最简单与最常见的数据分类方法之一.它做为一种常见数据分析技术在机器学习.数据挖掘.模式识别.图像分析等领域都有应用.如 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrqXBWb.html" rel="bookmark" class="title">python调用新浪微博API项目实践&lowbar;python</a>
					<div>
						因为最近接触到调用新浪微博开放接口的项目,所以就想试试用python调用微博API. SDK下载地址:http://open.weibo.com/wiki/SDK 代码不多十几K,完全可以看懂. 有微 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYN9k5p.html" rel="bookmark" class="title">thinkphp3&period;x中cookie方法的用法分析&lowbar;php实例</a>
					<div>
						本文实例分析了thinkphp3.x中cookie方法的用法.分享给大家供大家参考,具体如下: 一.cookie函数也是一个多元化操作函数,完成cookie的设置.获取和删除操作. Cookie 用于 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZ2JEwz.html" rel="bookmark" class="title">PHP求小于1000的所有水仙花数的代码&lowbar;php技巧</a>
					<div>
						水仙花数是一个n(&gt;=3)位数字的数, 它等于每个数字的n次幂之和. 例如, 153是一个水仙花数, 153=1³+5³+3³. 编写程序, 求解小于1000的所有水仙花数. 复制代码 代码如下 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3ZlkNz.html" rel="bookmark" class="title">Android开发之activiti节点跳转&lowbar;Android</a>
					<div>
						activiti使用的时候,通常需要跟业务紧密的结合在一起,有些业务非常的复杂,比如一个简单的采购流程:流程如下:   供应商上新商品的时候,提交商务审核,商务审核通过提交运营审核,审核失败退回供应商 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGrPoep.html" rel="bookmark" class="title">ThinkPHP实现将SESSION存入MYSQL的方法&lowbar;php实例</a>
					<div>
						本文以实例讲解了ThinkPHP实现将SESSION存入MYSQL的方法,所采用的运行环境是ThinkPHP3.1.2版 首先index.php中设置为: &lt;?php define('APP_D ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdmQJXz.html" rel="bookmark" class="title">《Hadoop集群与安全》一1&period;3　为Hadoop集群选择操作系统</a>
					<div>
						1.3 为Hadoop集群选择操作系统 为Hadoop集群选择操作系统是一项相对简单的任务.Hadoop核心以及生态系统组件都是由Java编写的,当然其中也有一些例外.虽然Java代码本身就是跨平台的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mr2BAWM.html" rel="bookmark" class="title">关于socket编程问题求大神解决</a>
					<div>
						问题描述 关于socket编程问题求大神解决 我写了一个简单的socket程序手机那边发个数据PC这边接收.写在DEV里时可以正常的接收到数据可是写在vs2010的一个按钮里就接收不到数据了,怎么回事 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.026 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
